View Issue Details

IDProjectCategoryView StatusLast Update
0023654FPCFCLpublic2013-01-23 00:44
ReporterMario Ray Mahardhika Assigned ToMichael Van Canneyt  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Target Version2.7.1Fixed in Version3.0.0 
Summary0023654: Generic tree for fcl-stl
DescriptionImplemented a generic k-ary tree data structure for fcl-stl, featuring breadth first and depth first traversal with callback. Please review and feel free to include, I give it for FPC.
Tagsgenerics
Fixed in Revision23453
FPCOldBugId
FPCTarget
Attached Files

Activities

2013-01-14 18:00

 

gtree.tar.gz (1,063 bytes)

Michael Van Canneyt

2013-01-20 11:10

administrator   ~0065031

Added to svn, thank you very much for this contribution.

Issue History

Date Modified Username Field Change
2013-01-14 18:00 Mario Ray Mahardhika New Issue
2013-01-14 18:00 Mario Ray Mahardhika File Added: gtree.tar.gz
2013-01-17 07:51 Mario Ray Mahardhika Tag Attached: generics
2013-01-20 11:05 Michael Van Canneyt Status new => assigned
2013-01-20 11:05 Michael Van Canneyt Assigned To => Michael Van Canneyt
2013-01-20 11:10 Michael Van Canneyt Fixed in Revision => 23453
2013-01-20 11:10 Michael Van Canneyt Status assigned => resolved
2013-01-20 11:10 Michael Van Canneyt Fixed in Version => 2.7.1
2013-01-20 11:10 Michael Van Canneyt Resolution open => fixed
2013-01-20 11:10 Michael Van Canneyt Note Added: 0065031
2013-01-20 11:10 Michael Van Canneyt Target Version => 2.7.1
2013-01-23 00:44 Mario Ray Mahardhika Status resolved => closed